Bug 172802 - up2date fails to register for no obvious reason when there is no network
up2date fails to register for no obvious reason when there is no network
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
Depends On:
  Show dependency treegraph
Reported: 2005-11-09 16:20 EST by Zack Cerza
Modified: 2013-02-26 19:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:19:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2005-11-09 16:20:10 EST
Description of problem:
If a user attempts to register with RHN while offline, there is no indication
that a network connection is necessary, and no error message explaining why the
register process is failing. In fact, once the user enters her login/password
and presses Forward, the UI blocks for a while and then brings her to the "Why
Register?" page. It's not clear that an error even occurred.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Disconnect from all networks
2. Click through the wizard, entering all required information
3. Press Forward.
4. Wait.
Actual results:
You end up at the 'Why Register?' screen, where you can click Forward twice to
get right back there again, still wondering why it's not working.

Expected results:
An error along the lines of "Uh, yeah, you need network connectivity to
register" is shown.
Comment 2 Jiri Pallich 2012-06-20 09:19:19 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.